ur_rna.RNAstructureUI.utilities

## Class CalcParams

- java.lang.Object
- - java.util.AbstractMap<K,V>
  - - java.util.HashMap<java.lang.String,java.lang.Object>
    - - ur_rna.RNAstructureUI.utilities.CalcParams

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Cloneable, java.util.Map<java.lang.String,java.lang.Object>

      public class CalcParams
      extends java.util.HashMap<java.lang.String,java.lang.Object>

  See Also:
    Serialized Form

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class java.util.AbstractMap

      `java.util.AbstractMap.SimpleEntry<K,V>, java.util.AbstractMap.SimpleImmutableEntry<K,V>`

    - ### Nested classes/interfaces inherited from interface java.util.Map

      `java.util.Map.Entry<K,V>`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected boolean` | `verifyType`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `CalcParams()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `private void` | `doVerify(java.lang.String name, java.lang.Object value, java.lang.Class<?> type)`
    `boolean` | `getBool(java.lang.String paramName)`
    `boolean` | `getBool(java.lang.String paramName, boolean defaultValue)`
    `double` | `getDbl(java.lang.String paramName)`
    `double` | `getDbl(java.lang.String paramName, double defaultValue)`
    `int` | `getInt(java.lang.String paramName)`
    `int` | `getInt(java.lang.String paramName, int defaultValue)`
    `java.lang.String` | `getStr(java.lang.String paramName)`
    `java.lang.String` | `getStr(java.lang.String paramName, java.lang.String defaultValue)`
    `boolean` | `getVerify()`
    `void` | `setVerify(boolean enableVerification)`

    - ### Methods inherited from class java.util.HashMap

      `clear, clone, compute, computeIfAbsent, computeIfPresent, containsKey, containsValue, entrySet, forEach, get, getOrDefault, isEmpty, keySet, merge, put, putAll, putIfAbsent, remove, remove, replace, replace, replaceAll, size, values`

    - ### Methods inherited from class java.util.AbstractMap

      `equals, hashCode, toString`

    - ### Methods inherited from class java.lang.Object

      `finalize, getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface java.util.Map

      `equals, hashCode`

- - ### Field Detail

    - #### verifyType

          protected boolean verifyType

  - ### Constructor Detail

    - #### CalcParams

          public CalcParams()

  - ### Method Detail

    - #### doVerify

          private void doVerify(java.lang.String name,
                                java.lang.Object value,
                                java.lang.Class<?> type)

    - #### getBool

          public boolean getBool(java.lang.String paramName)

    - #### getBool

          public boolean getBool(java.lang.String paramName,
                                 boolean defaultValue)

    - #### getDbl

          public double getDbl(java.lang.String paramName)

    - #### getDbl

          public double getDbl(java.lang.String paramName,
                               double defaultValue)

    - #### getInt

          public int getInt(java.lang.String paramName)

    - #### getInt

          public int getInt(java.lang.String paramName,
                            int defaultValue)

    - #### getStr

          public java.lang.String getStr(java.lang.String paramName)

    - #### getStr

          public java.lang.String getStr(java.lang.String paramName,
                                         java.lang.String defaultValue)

    - #### getVerify

          public boolean getVerify()

    - #### setVerify

          public void setVerify(boolean enableVerification)